import 'package:leoo_junpro/generated/json/base/json_convert_content.dart';
import 'package:leoo_junpro/leooflagjunpro/leooentityjunpro/leoodetailentity.dart';

LeooDetailEntity $LeooDetailEntityFromJson(Map<String, dynamic> json) {
  final LeooDetailEntity leooDetailEntity = LeooDetailEntity();
  final String? month = jsonConvert.convert<String>(json['month']);
  if (month != null) {
    leooDetailEntity.month = month;
  }
  final double? inAmount = jsonConvert.convert<double>(json['inAmount']);
  if (inAmount != null) {
    leooDetailEntity.inAmount = inAmount;
  }
  final double? outAmount = jsonConvert.convert<double>(json['outAmount']);
  if (outAmount != null) {
    leooDetailEntity.outAmount = outAmount;
  }
  final List<LeooDetailListDetail>? listDetail =
      jsonConvert.convertListNotNull<LeooDetailListDetail>(json['listDetail']);
  if (listDetail != null) {
    leooDetailEntity.listDetail = listDetail;
  }
  return leooDetailEntity;
}

Map<String, dynamic> $LeooDetailEntityToJson(LeooDetailEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['month'] = entity.month;
  data['inAmount'] = entity.inAmount;
  data['outAmount'] = entity.outAmount;
  data['listDetail'] = entity.listDetail.map((v) => v.toJson()).toList();
  return data;
}

LeooDetailListDetail $LeooDetailListDetailFromJson(Map<String, dynamic> json) {
  final LeooDetailListDetail leooDetailListDetail = LeooDetailListDetail();
  final String? bizTime = jsonConvert.convert<String>(json['bizTime']);
  if (bizTime != null) {
    leooDetailListDetail.bizTime = bizTime;
  }
  final String? bizType = jsonConvert.convert<String>(json['bizType']);
  if (bizType != null) {
    leooDetailListDetail.bizType = bizType;
  }
  final String? bizTypeName = jsonConvert.convert<String>(json['bizTypeName']);
  if (bizTypeName != null) {
    leooDetailListDetail.bizTypeName = bizTypeName;
  }
  final double? amount = jsonConvert.convert<double>(json['amount']);
  if (amount != null) {
    leooDetailListDetail.amount = amount;
  }
  return leooDetailListDetail;
}

Map<String, dynamic> $LeooDetailListDetailToJson(LeooDetailListDetail entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['bizTime'] = entity.bizTime;
  data['bizType'] = entity.bizType;
  data['bizTypeName'] = entity.bizTypeName;
  data['amount'] = entity.amount;
  return data;
}
