import 'package:leoo_junpro/generated/json/base/json_convert_content.dart';
import 'package:leoo_junpro/leooflagjunpro/leooentityjunpro/leoohostinfoentity.dart';

LeooHostInfoEntity $LeooHostInfoEntityFromJson(Map<String, dynamic> json) {
  final LeooHostInfoEntity leooHostInfoEntity = LeooHostInfoEntity();
  final int? id = jsonConvert.convert<int>(json['id']);
  if (id != null) {
    leooHostInfoEntity.id = id;
  }
  final int? uid = jsonConvert.convert<int>(json['uid']);
  if (uid != null) {
    leooHostInfoEntity.uid = uid;
  }
  final String? nickname = jsonConvert.convert<String>(json['nickname']);
  if (nickname != null) {
    leooHostInfoEntity.nickname = nickname;
  }
  final String? avatar = jsonConvert.convert<String>(json['avatar']);
  if (avatar != null) {
    leooHostInfoEntity.avatar = avatar;
  }
  final int? gender = jsonConvert.convert<int>(json['gender']);
  if (gender != null) {
    leooHostInfoEntity.gender = gender;
  }
  final String? loginTime = jsonConvert.convert<String>(json['loginTime']);
  if (loginTime != null) {
    leooHostInfoEntity.loginTime = loginTime;
  }
  final String? createdAt = jsonConvert.convert<String>(json['createdAt']);
  if (createdAt != null) {
    leooHostInfoEntity.createdAt = createdAt;
  }
  final int? userType = jsonConvert.convert<int>(json['userType']);
  if (userType != null) {
    leooHostInfoEntity.userType = userType;
  }
  final String? regionCode = jsonConvert.convert<String>(json['regionCode']);
  if (regionCode != null) {
    leooHostInfoEntity.regionCode = regionCode;
  }
  final int? status = jsonConvert.convert<int>(json['status']);
  if (status != null) {
    leooHostInfoEntity.status = status;
  }
  final int? age = jsonConvert.convert<int>(json['age']);
  if (age != null) {
    leooHostInfoEntity.age = age;
  }
  final String? tag = jsonConvert.convert<String>(json['tag']);
  if (tag != null) {
    leooHostInfoEntity.tag = tag;
  }
  final int? chatStatus = jsonConvert.convert<int>(json['chatStatus']);
  if (chatStatus != null) {
    leooHostInfoEntity.chatStatus = chatStatus;
  }
  final int? preMinuteDiamond =
      jsonConvert.convert<int>(json['preMinuteDiamond']);
  if (preMinuteDiamond != null) {
    leooHostInfoEntity.preMinuteDiamond = preMinuteDiamond;
  }
  final List<LeooHostInfoExtraInfoList>? extraInfoList = jsonConvert
      .convertListNotNull<LeooHostInfoExtraInfoList>(json['extraInfoList']);
  if (extraInfoList != null) {
    leooHostInfoEntity.extraInfoList = extraInfoList;
  }
  final String? remark = jsonConvert.convert<String>(json['remark']);
  if (remark != null) {
    leooHostInfoEntity.remark = remark;
  }
  final String? genderInterest =
      jsonConvert.convert<String>(json['genderInterest']);
  if (genderInterest != null) {
    leooHostInfoEntity.genderInterest = genderInterest;
  }
  final String? likeType = jsonConvert.convert<String>(json['likeType']);
  if (likeType != null) {
    leooHostInfoEntity.likeType = likeType;
  }
  final String? lookFor = jsonConvert.convert<String>(json['lookFor']);
  if (lookFor != null) {
    leooHostInfoEntity.lookFor = lookFor;
  }
  final String? hobby = jsonConvert.convert<String>(json['hobby']);
  if (hobby != null) {
    leooHostInfoEntity.hobby = hobby;
  }
  final int? following = jsonConvert.convert<int>(json['following']);
  if (following != null) {
    leooHostInfoEntity.following = following;
  }
  return leooHostInfoEntity;
}

Map<String, dynamic> $LeooHostInfoEntityToJson(LeooHostInfoEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['uid'] = entity.uid;
  data['nickname'] = entity.nickname;
  data['avatar'] = entity.avatar;
  data['gender'] = entity.gender;
  data['loginTime'] = entity.loginTime;
  data['createdAt'] = entity.createdAt;
  data['userType'] = entity.userType;
  data['regionCode'] = entity.regionCode;
  data['status'] = entity.status;
  data['age'] = entity.age;
  data['tag'] = entity.tag;
  data['chatStatus'] = entity.chatStatus;
  data['preMinuteDiamond'] = entity.preMinuteDiamond;
  data['extraInfoList'] = entity.extraInfoList?.map((v) => v.toJson()).toList();
  data['remark'] = entity.remark;
  data['genderInterest'] = entity.genderInterest;
  data['likeType'] = entity.likeType;
  data['lookFor'] = entity.lookFor;
  data['hobby'] = entity.hobby;
  data['following'] = entity.following;
  return data;
}

LeooHostInfoExtraInfoList $LeooHostInfoExtraInfoListFromJson(
    Map<String, dynamic> json) {
  final LeooHostInfoExtraInfoList leooHostInfoExtraInfoList =
      LeooHostInfoExtraInfoList();
  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    leooHostInfoExtraInfoList.url = url;
  }
  final int? type = jsonConvert.convert<int>(json['type']);
  if (type != null) {
    leooHostInfoExtraInfoList.type = type;
  }
  return leooHostInfoExtraInfoList;
}

Map<String, dynamic> $LeooHostInfoExtraInfoListToJson(
    LeooHostInfoExtraInfoList entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['url'] = entity.url;
  data['type'] = entity.type;
  return data;
}
