import 'package:leoo_junpro/leooflagjunpro/leooappjunpro/leoonetconfigjunpro.dart';
import 'package:leoo_junpro/leooflagjunpro/leoonetjunpro/leooapphostjunpro.dart';

class LeooAppConfigJunPro {
  static String? leooAppIdJunPro;
  static String leooCardTypeJunPro = '-1';

  ///每一页加载个数
  static const int leooPageSizeJunPro = 6;
  static const int leooListSizeJunPro = 12;

  ///姓名
  static const int leooTextSize20JunPro = 20;
  static const int leooTextSize200JunPro = 200;

  static const String leooUserIdJunPro = 'userid';
  static const String leooLoginJunPro = 'login';
  static const String leooFirstJunPro = 'first';
  static const String leooTokenJunPro = 'token';
  static const String leooThirdJunPro = 'thirdId';
  static const String leooLocaleJunPro = 'locale';
  static const String leooAgreeJunPro = 'agree';
  static const String leooMatchJunPro = 'match';
  static const String leooLanguageJunPro = 'language';
  static const String leooBackgroundJunPro = 'background';
  static const String leooHeadImageJunPro = 'headImage';

  //提现
  static const String leooWithTypeJunPro = 'withType';
  static const String leooWithNameJunPro = 'withName';
  static const String leooWithAccountJunPro = 'withAccount';

  ///订单信息保存
  static const String leooInTokenJunPro = 'in_token';
  static const String leooInCodeJunPro = 'in_code';

  static const String leooGiftEventJunPro = 'GiftEvent';
  static const String leooCallEventJunPro = 'CallEvent';
  static const String leooImageEventJunPro = 'ImageEvent';

  static List<String> leooHeightUnitListJunPro = ['cm', 'inch'];
  static List<String> leooWeightUnitListJunPro = ['kg', 'pound'];

  static const int leooInCallTimeJunPro = 40;
  static const int leooCallTimeJunPro = 60;
  static const int leooVideoMaxTimeJunPro = 60;

  static int leooMatchInfoTimeJunPro = 15;
  static int leooMatchWaitTimeJunPro = 40;
  static int leooMatchCallTimeJunPro = 30;
  static int leooMatchingCostJunPro = 10;
  static int leooMessageCostJunPro = 2;
  static int leooMessageFreeNumJunPro = 10;
  static int leooTodayCoinsJunPro = 10;
  static int leooTodayViewJunPro = 3;
  static int leooTalkingCostJunPro = 200;
  static bool leooShowThreeJunPro = false;
  static bool leooShowApplyJunPro = false;
  static bool leooShowEmailJunPro = false;
  static List<int> leooListVideoFeeJunPro = [0, 50, 100, 200];
  static int? leooCustomerIdJunPro;
  static String? leooCustomerEmailJunPro;
  static bool leooShowInitVideoJunPro = false;

  static String getLeooCustomerEmailJunPro() {
    return LeooAppHostJunPro.leooModeJunPro
        ? LeooAppConfigJunPro.leooCustomerEmailJunPro ??
            LeooNetConfigJunPro.leooCustomerEmailJunPro
        : LeooNetConfigJunPro.leooCustomerEmailJunPro;
  }

  //page
  static bool leooSplashOpenJunPro = false;
  static String leooSplashNameJunPro = '';
  static String? leooMainNameJunPro;

  ///文件
  static String leooInCallJunPro = '';
  static String leooVideoCallJunPro = '';
  static String leooMessageTipJunPro = '';
}
