import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoocareentity.g.dart';

@JsonSerializable()
class LeooCareEntity {
  LeooCareEntity();

  factory LeooCareEntity.fromJson(Map<String, dynamic> json) =>
      $LeooCareEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooCareEntityToJson(this);

  List<LeooCareList>? list;
}

@JsonSerializable()
class LeooCareList {
  LeooCareList();

  factory LeooCareList.fromJson(Map<String, dynamic> json) =>
      $LeooCareListFromJson(json);

  Map<String, dynamic> toJson() => $LeooCareListToJson(this);

  String? flowerEach;
  String? price;
  String? headImage;
  String? name;
  String? online;
  String? isUser;
  String? userId;
  String? desc;
  String? birthday;

  String getAgeYear() {
    try {
      return ',${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
