import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoodataentity.g.dart';

@JsonSerializable()
class LeooDataEntity {
  int? onlineTime;
  int? calls;
  int? connect;
  int? connectionRate;
  int? praise;
  int? negativeRatings;
  int? favorableRate;

  LeooDataEntity();

  factory LeooDataEntity.fromJson(Map<String, dynamic> json) =>
      $LeooDataEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooDataEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
