import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoofriendsentity.g.dart';

@JsonSerializable()
class LeooFriendsEntity {
  LeooFriendsEntity();

  factory LeooFriendsEntity.fromJson(Map<String, dynamic> json) =>
      $LeooFriendsEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooFriendsEntityToJson(this);

  List<LeooFriendsList>? list;
}

@JsonSerializable()
class LeooFriendsList {
  LeooFriendsList();

  factory LeooFriendsList.fromJson(Map<String, dynamic> json) =>
      $LeooFriendsListFromJson(json);

  Map<String, dynamic> toJson() => $LeooFriendsListToJson(this);

  String? duration;
  String? nickName;
  String? age;
  String? id;
  String? time;
  String? headPic;
  String? country;
  String? birth;
  String? gender;
  String? type;
  String? online;

  bool getTypeRed() {
    switch (type) {
      case '0':
      case '5':
      case '1':
      case '2':
        return true;
      default:
        return false;
    }
  }
}
