import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoohostinfoentity.g.dart';

@JsonSerializable()
class LeooHostInfoEntity {
  factory LeooHostInfoEntity.fromJson(Map<String, dynamic> json) =>
      $LeooHostInfoEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooHostInfoEntityToJson(this);

  int? id;
  int? uid;
  String? nickname;
  String? avatar;
  int? gender;
  String? loginTime;
  String? createdAt;
  int? userType;
  String? regionCode;
  int? status;
  int? age;
  String? tag;
  int? chatStatus;
  int? preMinuteDiamond;
  List<LeooHostInfoExtraInfoList>? extraInfoList;
  String? remark;
  String? genderInterest;
  String? likeType;
  String? lookFor;
  String? hobby;
  int? following;

  String getNameAge() {
    if (age != null) {
      return (nickname ?? '') + ',$age';
    } else {
      return nickname ?? '';
    }
  }

  LeooHostInfoEntity(
      {this.id,
      this.uid,
      this.nickname,
      this.avatar,
      this.gender,
      this.loginTime,
      this.createdAt,
      this.userType,
      this.regionCode,
      this.status,
      this.age,
      this.tag,
      this.chatStatus,
      this.preMinuteDiamond,
      this.extraInfoList,
      this.remark,
      this.genderInterest,
      this.likeType,
      this.lookFor,
      this.hobby,
      this.following});
}

@JsonSerializable()
class LeooHostInfoExtraInfoList {
  factory LeooHostInfoExtraInfoList.fromJson(Map<String, dynamic> json) =>
      $LeooHostInfoExtraInfoListFromJson(json);

  Map<String, dynamic> toJson() => $LeooHostInfoExtraInfoListToJson(this);

  String? url;
  int? type;

  LeooHostInfoExtraInfoList({this.url, this.type});
}
