import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoolanguageentity.g.dart';

@JsonSerializable()
class LeooLanguageEntity {
  int? id;
  String? name;
  String? enName;

  LeooLanguageEntity();

  factory LeooLanguageEntity.fromJson(Map<String, dynamic> json) =>
      $LeooLanguageEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooLanguageEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
