import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoortmentity.g.dart';

@JsonSerializable()
class LeooRtmEntity {
  //消息类型1:匹配成功 2:准备加入房间3:准备开始通话4:结束匹配5:结束通话
  int? type;
  int? matchingId;
  int? talkingId;
  int? matchingUserId;
  String? channelName;
  int? amount;
  int? talkingTimeLength;

  LeooRtmEntity();

  factory LeooRtmEntity.fromJson(Map<String, dynamic> json) =>
      $LeooRtmEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooRtmEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
