import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leootalkentity.g.dart';

@JsonSerializable()
class LeooTalkEntity {
  int? talkingId;
  int? userId;
  String? header;
  String? nickname;
  int? userType;
  int? onlineStatus;
  int? talkingTimeLength;
  int? talkStatus;

  //匹配
  int? matchingId;
  int? matchedTime;

  LeooTalkEntity();

  factory LeooTalkEntity.fromJson(Map<String, dynamic> json) =>
      $LeooTalkEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooTalkEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
