import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leootopentity.g.dart';

@JsonSerializable()
class LeooTopEntity {
  int? userId;
  String? nickname;
  String? header;
  int? userType;
  int? value;

  LeooTopEntity();

  factory LeooTopEntity.fromJson(Map<String, dynamic> json) =>
      $LeooTopEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooTopEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
