import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoovideoendentity.g.dart';

@JsonSerializable()
class LeooVideoEndEntity {
  int? totalTalkingTimeLength;

  LeooVideoEndEntity();

  factory LeooVideoEndEntity.fromJson(Map<String, dynamic> json) =>
      $LeooVideoEndEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooVideoEndEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
