import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoovideolistentity.g.dart';

@JsonSerializable()
class LeooVideoListEntity {
  int? id;
  int? userId;
  String? header;
  String? nickname;
  int? userType;
  int? feeType;
  int? unlockStatus;
  int? feeGold;
  String? videoUrl;
  String? videoCoverUrl;
  int? likeCount;
  String? musicType;
  bool? likeStatus;
  bool? followStatus;

  //0未审核、1审核成功、2审核失败
  int? checkStatus;

  LeooVideoListEntity();

  factory LeooVideoListEntity.fromJson(Map<String, dynamic> json) =>
      $LeooVideoListEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooVideoListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
