import 'package:leoo_junpro/leooflagjunpro/leooeventjunpro/leoohttperroreventjunpro.dart';
import 'package:leoo_junpro/leooflagjunpro/leooeventjunpro/leooindexjunpro.dart';

///错误编码
class LeooCodeJunPro {
  //网络错误
  static const leooNetErrorJunPro = -1;

  //网络超时
  static const leooNetOutJunPro = -2;

  //取消请求
  static const leooCancelJunPro = -3;
  static const leooSuccessJunPro = 200;

  static leooErrorHandleFunctionJunPro(code, message, noTip) {
    if (noTip) {
      return message;
    }
    eventBus.fire(LeooHttpErrorEventJunPro(code, message.toString()));
    return message;
  }
}
