import 'dart:math';

import 'package:flutter/material.dart';

///颜色
class LeooColorsJunPro {
  static Color leooAppJunPro = Color(0xFFFF2E8E);
  static Color leooApp2JunPro = Color(0xFFD800FF);
  static Color leooApp3JunPro = Color(0xFFFF4E2E);
  static Color leooBgJunPro = Color(0xFF160821);
  static Color leooBtnBgJunPro = Color(0xFF2E2138);
  static const Color leooBtnBg2JunPro = Color(0xFF555555);
  static Color leooPopBgJunPro = Color(0xFF484848);
  static const Color leooLineJunPro = Color(0xFF333333);
  static const Color leooLine2JunPro = Color(0xFFDDDDDD);
  static const Color leooLine3JunPro = Color(0xFFBCBCBC);
  static const Color leooAge1BgJunPro = Color(0xFFD4EFFF);
  static const Color leooAge2BgJunPro = Color(0xFFFCB3AB);
  static const Color leooRedJunPro = Color(0xFFD83D3D);
  static const Color leooRed2JunPro = Color(0xFFC10059);
  static const Color leooCoinsLineJunPro = Color(0xFF605865);
  static const Color leooYellowJunPro = Color(0xFFFFA500);
  static const Color leooRecharge1JunPro = Color(0xFFFFF6D9);
  static const Color leooRecharge2JunPro = Color(0xFFFFEAAF);

  //启动图颜色
  static const Color leooInitBg1JunPro = Color(0xFFD4DCDE);
  static const Color leooInitBg2JunPro = Color(0xFF6F152A);
  static const Color leooInitBg3JunPro = Color(0xFFFAFAFA);
  static const Color leooInitBg4JunPro = Color(0xFF160821);

  //top颜色
  static const Color leooTop1JunPro = Color(0xFFFF7250);
  static const Color leooTop1RightJunPro = Color(0xFFFFB146);
  static const Color leooTop2JunPro = Color(0xFFD679FF);
  static const Color leooTop2RightJunPro = Color(0xFFB834FD);
  static const Color leooTop3JunPro = Color(0xFFFFA279);
  static const Color leooTop3RightJunPro = Color(0xFFFD34D6);
  static const Color leooTopHead1JunPro = Color(0xFFFFF684);
  static const Color leooTopHead2JunPro = Color(0xFFB7FFF7);
  static const Color leooTopHead3JunPro = Color(0xFFFFCAA8);

  //文字颜色
  static const Color leooTextJunPro = Color(0xFFFFFFFF);
  static const Color leooTextBlackJunPro = Color(0xFF2B2B2B);
  static Color leooTextHintJunPro = Color(0xFFB5B5B5);
  static const Color leooTextHint2JunPro = Color(0xFF736A79);
  static const Color leooTextBlueJunPro = Color(0xFF00A2FF);
  static const Color leooTextYellowJunPro = Color(0xFFFFE626);

  static const Color leooOnlineJunPro = Color(0xFF47DE93);
  static const Color leooOfflineJunPro = Color(0xFFB1B6BE);
  static const Color leooBusyJunPro = Color(0xFFD83D3D);

  static const Color leooImp1JunPro = Color(0xFFFFA8B2);
  static const Color leooImp2JunPro = Color(0xFFFF2E8E);
  static const Color leooImp3JunPro = Color(0xFF9ED369);
  static const Color leooImp4JunPro = Color(0xFF47DE93);

  static const List<Color> leooRandomColorJunPro = [
    Color(0xFFFF29AC),
    Color(0xFF00D1A2),
    Color(0xFFFF8712),
    Color(0xFF9741FF),
    Color(0xFFFF4F3D),
    Color(0xFFF53131),
    Color(0xFF365CFF),
    Color(0xFF5AB700),
    Color(0xFF9500EB),
    Color(0xFFE3C600)
  ];

  static Color leooGetRandomColorJunPro() {
    return LeooColorsJunPro.leooRandomColorJunPro[
        Random().nextInt(LeooColorsJunPro.leooRandomColorJunPro.length)];
  }
}

///文本样式
class LeooTextJunPro {
  static const String leooTextFamilyJunPro = 'SFRounded';

  static TextStyle leooGetTextStyleJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooTextJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleHintJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooTextHintJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleHint2JunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooTextHint2JunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleAppJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooAppJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleBlackJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooTextBlackJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleBlueJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooTextBlueJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleYellowJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooTextYellowJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleYellow2JunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooYellowJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleOnlineJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooOnlineJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleRedJunPro(double size,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: LeooColorsJunPro.leooRedJunPro,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }

  static TextStyle leooGetTextStyleColorJunPro(double size, Color color,
      [FontWeight weight = FontWeight.w500]) {
    return TextStyle(
        fontSize: size,
        color: color,
        fontWeight: weight,
        fontFamily: leooTextFamilyJunPro,
        decoration: TextDecoration.none);
  }
}

///图标
class LeooIconsJunPro {
  ///文件
  static const String leooPackageJunPro = 'leoo_junpro';

  static const String leooImageAppJunPro = 'leooresjunpro/leooimagejunpro/';
  static const String leooLottieAppJunPro = 'leooresjunpro/leoolottiejunpro/';

  static const String leooImageUrlJunPro =
      'http://www.lejun.co/livechat/files/fanslyi02/image/';

  // static const String leooImageUrlJunPro =
  //     leooImageAppJunPro + 'leooimagejunpro/';

  // static const String leooLottieUrlJunPro =
  //     'http://www.lejun.co/livechat/files/fanslyi02/lottie/';
  static const String leooLottieUrlJunPro =
      'leooresjunpro/leooappjunpro/leoolottiejunpro/';

  static const String leooImageEndJunPro = 'JunPro.png';
  static const String leooImageEndUrlJunPro = 'Imi2.png';

  static const String leooAnswerJunPro =
      leooLottieAppJunPro + 'leooanswerjunpro/LeooAnswerJunPro.json';
  static const String leooGiftJunPro =
      leooLottieAppJunPro + 'leoogiftjunpro/LeooGiftJunPro.json';

  static const String leooMatWaitJunPro =
      leooLottieUrlJunPro + 'fansly_mat_wait_imi2/FanslyMatWaitImi2.json';
  static const String leooNewUserJunPro =
      leooLottieUrlJunPro + 'fansly_newuser_imi2/FanslyNewUserImi2.json';
  static const String leooNewUserPopJunPro =
      leooLottieUrlJunPro + 'fansly_newuser_pop_imi2/FanslyNewUserPopImi2.json';
  static const String leooGetDiaJunPro =
      leooLottieUrlJunPro + 'fansly_get_dia_imi2/FanslyGetDiaImi2.json';

  static const String leooLoadPicJunPro =
      leooImageAppJunPro + 'LeooLoadPicJunPro.png';
  static const String leooLoadHeadJunPro =
      leooImageAppJunPro + 'LeooLoadHeadJunPro.png';
  static const String leooTopBackJunPro =
      leooImageAppJunPro + 'LeooTopBackJunPro.png';
  static const String leooSplashAppleJunPro =
      leooImageAppJunPro + 'LeooSplashAppleJunPro.png';
  static const String leooPopCloseJunPro =
      leooImageAppJunPro + 'LeooPopCloseJunPro.png';
  static const String leooPopClose2JunPro =
      leooImageAppJunPro + 'LeooPopClose2JunPro.png';
  static const String leooPopSelectOkJunPro =
      leooImageAppJunPro + 'LeooPopSelectOkJunPro.png';
  static const String leooPopSelectJunPro =
      leooImageAppJunPro + 'LeooPopSelectJunPro.png';
  static const String leooPopReportJunPro =
      leooImageAppJunPro + 'LeooPopReportJunPro.png';
  static const String leooPopBlockJunPro =
      leooImageAppJunPro + 'LeooPopBlockJunPro.png';
  static const String leooPopFollowJunPro =
      leooImageAppJunPro + 'LeooPopFollowJunPro.png';
  static const String leooListVideoJunPro =
      leooImageAppJunPro + 'LeooListVideoJunPro.png';
  static const String leooChatSendJunPro =
      leooImageAppJunPro + 'LeooChatSendJunPro.png';
  static const String leooChatSendNoJunPro =
      leooImageAppJunPro + 'LeooChatSendNoJunPro.png';
  static const String leooChatImageJunPro =
      leooImageAppJunPro + 'LeooChatImageJunPro.png';
  static const String leooMineRightJunPro =
      leooImageAppJunPro + 'LeooMineRightJunPro.png';
  static const String leooVideoCallBgJunPro =
      leooImageAppJunPro + 'LeooVideoCallBgJunPro.png';
  static const String leooCustomerCopyJunPro =
      leooImageAppJunPro + 'LeooCustomerCopyJunPro.png';
  static const String leooCustomerJunPro =
      leooImageAppJunPro + 'LeooCustomerJunPro.png';
  static const String leooCustomerItemJunPro =
      leooImageAppJunPro + 'LeooCustomerItemJunPro.png';
  static const String leooInfoMoreJunPro =
      leooImageAppJunPro + 'LeooInfoMoreJunPro.png';
  static const String leooItemAddJunPro =
      leooImageAppJunPro + 'LeooItemAddJunPro.png';
  static const String leooVideoSwitchJunPro =
      leooImageAppJunPro + 'LeooVideoSwitchJunPro.png';
  static const String leooVideoHangJunPro =
      leooImageAppJunPro + 'LeooVideoHangJunPro.png';
  static const String leooVideoReportJunPro =
      leooImageAppJunPro + 'LeooVideoReportJunPro.png';
  static const String leooVideoCameraNoJunPro =
      leooImageAppJunPro + 'LeooVideoCameraNoJunPro.png';
  static const String leooVideoCameraJunPro =
      leooImageAppJunPro + 'LeooVideoCameraJunPro.png';
  static const String leooVideoCloseJunPro =
      leooImageAppJunPro + 'LeooVideoCloseJunPro.png';
  static const String leooVideoCloseTipJunPro =
      leooImageAppJunPro + 'LeooVideoCloseTipJunPro.png';
  static const String leooVideoCoinsJunPro =
      leooImageAppJunPro + 'LeooVideoCoinsJunPro.png';
  static const String leooVideoMessageJunPro =
      leooImageAppJunPro + 'LeooVideoMessageJunPro.png';
  static const String leooVideoMicNoJunPro =
      leooImageAppJunPro + 'LeooVideoMicNoJunPro.png';
  static const String leooVideoMicJunPro =
      leooImageAppJunPro + 'LeooVideoMicJunPro.png';

  static const String leooSplashGoogleJunPro =
      leooImageUrlJunPro + 'FanslySplashGoogleImi2.png';
  static const String leooSplashGuestJunPro =
      leooImageUrlJunPro + 'FanslySplashGuestImi2.png';
  static const String leooSplashEmailJunPro =
      leooImageUrlJunPro + 'FanslySplashEmailImi2.png';
  static const String leooMainListNoJunPro =
      leooImageUrlJunPro + 'FanslyMainListNoImi2.png';
  static const String leooMainListJunPro =
      leooImageUrlJunPro + 'FanslyMainListImi2.png';
  static const String leooMainMatchNoJunPro =
      leooImageUrlJunPro + 'FanslyMainMatchNoImi2.png';
  static const String leooMainMatchJunPro =
      leooImageUrlJunPro + 'FanslyMainMatchImi2.png';
  static const String leooMainMsgNoJunPro =
      leooImageUrlJunPro + 'FanslyMainMsgNoImi2.png';
  static const String leooMainMsgJunPro =
      leooImageUrlJunPro + 'FanslyMainMsgImi2.png';
  static const String leooMainSetNoJunPro =
      leooImageUrlJunPro + 'FanslyMainSetNoImi2.png';
  static const String leooMainSetJunPro =
      leooImageUrlJunPro + 'FanslyMainSetImi2.png';
  static const String leooMainVideoNoJunPro =
      leooImageUrlJunPro + 'FanslyMainVideoNoImi2.png';
  static const String leooMainVideoJunPro =
      leooImageUrlJunPro + 'FanslyMainVideoImi2.png';
  static const String leooListMessageJunPro =
      leooImageUrlJunPro + 'FanslyListMessageImi2.png';
  static const String leooListFireJunPro =
      leooImageUrlJunPro + 'FanslyListFireImi2.png';
  static const String leooListFireYesJunPro =
      leooImageUrlJunPro + 'FanslyListFireYesImi2.png';
  static const String leooCheckCoinsJunPro =
      leooImageUrlJunPro + 'FanslyCheckCoinsImi2.png';
  static const String leooMineAmountJunPro =
      leooImageUrlJunPro + 'FanslyMineAmountImi2.png';
  static const String leooMainLanguageJunPro =
      leooImageUrlJunPro + 'FanslyMainLanguageImi2.png';
  static const String leooMainRankJunPro =
      leooImageUrlJunPro + 'FanslyMainRankImi2.png';
  static const String leooMineAnchorJunPro =
      leooImageUrlJunPro + 'FanslyMineAnchorImi2.png';
  static const String leooVideoListFireJunPro =
      leooImageUrlJunPro + 'FanslyVideoListFireImi2.png';
  static const String leooMineDailyJunPro =
      leooImageUrlJunPro + 'FanslyMineDailyImi2.png';
  static const String leooMinePhotosJunPro =
      leooImageUrlJunPro + 'FanslyMinePhotosImi2.png';
  static const String leooMineDataJunPro =
      leooImageUrlJunPro + 'FanslyMineDataImi2.png';
  static const String leooMineNotificationJunPro =
      leooImageUrlJunPro + 'FanslyMineNotificationImi2.png';
  static const String leooInfoMessageJunPro =
      leooImageUrlJunPro + 'FanslyInfoMessageImi2.png';
  static const String leooInfoLikeJunPro =
      leooImageUrlJunPro + 'FanslyInfoLikeImi2.png';
  static const String leooInfoLikedJunPro =
      leooImageUrlJunPro + 'FanslyInfoLikedImi2.png';
  static const String leooInfoStarEmptyJunPro =
      leooImageUrlJunPro + 'FanslyInfoStarEmptyImi2.png';
  static const String leooInfoStarFullJunPro =
      leooImageUrlJunPro + 'FanslyInfoStarFullImi2.png';
  static const String leooInfoStarHalfJunPro =
      leooImageUrlJunPro + 'FanslyInfoStarHalfImi2.png';
  static const String leooVideoLockJunPro =
      leooImageUrlJunPro + 'FanslyVideoLockImi2.png';
  static const String leooVideoPlayJunPro =
      leooImageUrlJunPro + 'FanslyVideoPlayImi2.png';
  static const String leooDailyCheckedJunPro =
      leooImageUrlJunPro + 'FanslyDailyCheckedImi2.png';
  static const String leooDailySurpriseJunPro =
      leooImageUrlJunPro + 'FanslyDailySurpriseImi2.png';
  static const String leooDailyLogoJunPro =
      leooImageUrlJunPro + 'FanslyDailyLogoImi2.png';
  static const String leooTopJunPro = leooImageUrlJunPro + 'FanslyTop';
  static const String leooTopItemJunPro = leooImageUrlJunPro + 'FanslyTopItem';
  static const String leooContactTypeJunPro =
      leooImageUrlJunPro + 'FanslyContactType';
  static const String leooApplyOkJunPro =
      leooImageUrlJunPro + 'FanslyApplyOkImi2.png';
  static const String leooCameraStartJunPro =
      leooImageUrlJunPro + 'FanslyCameraStartImi2.png';
  static const String leooCameraStopJunPro =
      leooImageUrlJunPro + 'FanslyCameraStopImi2.png';
  static const String leooCameraSwitchJunPro =
      leooImageUrlJunPro + 'FanslyCameraSwitchImi2.png';
  static const String leooCameraUploadJunPro =
      leooImageUrlJunPro + 'FanslyCameraUploadImi2.png';
  static const String leooCameraAddJunPro =
      leooImageUrlJunPro + 'FanslyCameraAddImi2.png';
  static const String leooSeeNoJunPro =
      leooImageUrlJunPro + 'FanslySeeNoImi2.png';
  static const String leooSeeJunPro = leooImageUrlJunPro + 'FanslySeeImi2.png';
  static const String leooTypeDrawJunPro =
      leooImageUrlJunPro + 'FanslyTypeDrawImi2.png';
  static const String leooTypeCallJunPro =
      leooImageUrlJunPro + 'FanslyTypeCallImi2.png';
  static const String leooTypeGiftJunPro =
      leooImageUrlJunPro + 'FanslyTypeGiftImi2.png';
  static const String leooTypeMessageJunPro =
      leooImageUrlJunPro + 'FanslyTypeMessageImi2.png';
  static const String leooTypeVideoJunPro =
      leooImageUrlJunPro + 'FanslyTypeVideoImi2.png';
  static const String leooSkipFemaleNoJunPro =
      leooImageUrlJunPro + 'FanslySkipFemaleNoImi2.png';
  static const String leooSkipFemaleJunPro =
      leooImageUrlJunPro + 'FanslySkipFemaleImi2.png';
  static const String leooSkipMaleNoJunPro =
      leooImageUrlJunPro + 'FanslySkipMaleNoImi2.png';
  static const String leooSkipMaleJunPro =
      leooImageUrlJunPro + 'FanslySkipMaleImi2.png';
  static const String leooCallEndJunPro =
      leooImageUrlJunPro + 'FanslyCallEndImi2.png';
  static const String leooCallRejectedJunPro =
      leooImageUrlJunPro + 'FanslyCallRejectedImi2.png';
  static const String leooCallMissedJunPro =
      leooImageUrlJunPro + 'FanslyCallMissedImi2.png';
  static const String leooPopClose3JunPro =
      leooImageUrlJunPro + 'FanslyPopClose3Imi2.png';
  static const String leooAboutAddJunPro =
      leooImageUrlJunPro + 'FanslyAboutAddImi2.png';
  static const String leooAboutDeleteJunPro =
      leooImageUrlJunPro + 'FanslyAboutDeleteImi2.png';
  static const String leooMineFeedbackJunPro =
      leooImageUrlJunPro + 'FanslyMineFeedbackImi2.png';
  static const String leooMineBlacklistJunPro =
      leooImageUrlJunPro + 'FanslyMineBlacklistImi2.png';
  static const String leooMineEditJunPro =
      leooImageUrlJunPro + 'FanslyMineEditImi2.png';
  static const String leooMineFAQJunPro =
      leooImageUrlJunPro + 'FanslyMineFAQImi2.png';
  static const String leooInfoMaleJunPro =
      leooImageUrlJunPro + 'FanslyInfoMaleImi2.png';
  static const String leooInfoFemaleJunPro =
      leooImageUrlJunPro + 'FanslyInfoFemaleImi2.png';
  static const String leooMineSetJunPro =
      leooImageUrlJunPro + 'FanslyMineSetImi2.png';

  //配置
  static String leooAppInEndJunPro = '';
  static String leooAppLogoJunPro = '';
  static String leooEmptyDataJunPro = '';
  static String leooEmptyMessageJunPro = '';
  static String leooEmptyNetworkJunPro = '';
  static String leooMainCoinsJunPro = '';
  static String leooInfoVideoJunPro = '';
  static String leooMsgListDeleteJunPro = '';
  static String leooRechargeBgJunPro = '';
}
