import 'package:flutter/material.dart';
import 'package:flutter_keyboard_visibility/flutter_keyboard_visibility.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

// 软键盘高度刷新
class LeooKeyBoardHeightWidgetJunPro extends StatefulWidget {
  final bool bottom;
  final double height;

  const LeooKeyBoardHeightWidgetJunPro(
      {Key? key, this.bottom = true, this.height = 0})
      : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooKeyBoardHeightWidgetState();
}

class LeooKeyBoardHeightWidgetState
    extends State<LeooKeyBoardHeightWidgetJunPro> {
  @override
  Widget build(BuildContext context) {
    return KeyboardVisibilityBuilder(builder: (context, isKeyboardVisible) {
      double height = 0;
      if (isKeyboardVisible) {
        height = MediaQuery.of(context).viewInsets.bottom -
            widget.height -
            (widget.bottom ? ScreenUtil().bottomBarHeight : 0);
        if (height < 0) {
          height = 0;
        }
      }
      return SizedBox(height: height);
    });
  }
}
