import 'package:flutter/material.dart';
import 'package:leoo_junpro/leooflagjunpro/leooutilsjunpro/leoocodeutilsjunpro.dart';

// 隐藏显示 局部刷新 渐变
class LeooOpacityWidgetJunPro extends StatefulWidget {
  final double opacity;
  final Widget child;

  const LeooOpacityWidgetJunPro(Key key, this.opacity, this.child)
      : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooOpacityWidgetState();
}

class LeooOpacityWidgetState extends State<LeooOpacityWidgetJunPro> {
  double opacity = .0;

  @override
  void initState() {
    super.initState();
    opacity = widget.opacity;
  }

  void onSetState(double opacity) {
    if (opacity >= 0 && opacity <= 1) {
      this.opacity = opacity;
      LeooCodeUtilsJunPro.onSetState(this);
    }
  }

  @override
  Widget build(BuildContext context) {
    return Opacity(
      opacity: opacity,
      child: widget.child,
    );
  }
}
