import 'package:flutter/material.dart';
import 'package:leoo_junpro/leooflagjunpro/leooutilsjunpro/leoocodeutilsjunpro.dart';

// 封装的文本组件Widget
class LeooSwitcherFadeWidgetJunPro extends StatefulWidget {
  final Widget child;

  const LeooSwitcherFadeWidgetJunPro(this.child, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooSwitcherFadeWidgetState();
}

class LeooSwitcherFadeWidgetState extends State<LeooSwitcherFadeWidgetJunPro> {
  Widget? child;

  @override
  void initState() {
    super.initState();
    child = widget.child;
  }

  void onSetState(Widget child) {
    this.child = child;
    LeooCodeUtilsJunPro.onSetState(this);
  }

  @override
  Widget build(BuildContext context) {
    return AnimatedSwitcher(
        duration: const Duration(milliseconds: 500),
        switchInCurve: Curves.easeIn,
        switchOutCurve: Curves.easeOut,
        transitionBuilder: (Widget child, Animation<double> animation) {
          return FadeTransition(opacity: animation, child: child);
        },
        child: child);
  }
}
