import 'package:flutter/material.dart';

// 封装的文本组件Widget
class LeooSwitcherTabWidgetJunPro extends StatefulWidget {
  final Widget child;

  const LeooSwitcherTabWidgetJunPro(this.child, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() => TightSwitcherTabWidgetState();
}

class TightSwitcherTabWidgetState extends State<LeooSwitcherTabWidgetJunPro> {
  @override
  Widget build(BuildContext context) {
    return AnimatedSwitcher(
        duration: const Duration(milliseconds: 500),
        switchInCurve: Curves.easeIn,
        switchOutCurve: Curves.easeOut,
        transitionBuilder: (Widget child, Animation<double> animation) {
          return ScaleTransition(
              scale: animation,
              child: FadeTransition(opacity: animation, child: child));
        },
        child: widget.child);
  }
}
