import 'package:flutter/material.dart';
import 'package:leoo_junpro/leooflagjunpro/leooutilsjunpro/leoocodeutilsjunpro.dart';

// 隐藏显示 局部刷新
class LeooVisibleWidgetJunPro extends StatefulWidget {
  final bool show;
  final Widget child;

  const LeooVisibleWidgetJunPro(Key key, this.show, this.child)
      : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooVisibleWidgetState();
}

class LeooVisibleWidgetState extends State<LeooVisibleWidgetJunPro> {
  bool show = false;

  @override
  void initState() {
    super.initState();
    show = widget.show;
  }

  void onSetState(bool show) {
    this.show = show;
    LeooCodeUtilsJunPro.onSetState(this);
  }

  @override
  Widget build(BuildContext context) {
    return Visibility(
      visible: show,
      child: widget.child,
    );
  }
}
