import 'package:leoo_junpro/generated/json/base/json_convert_content.dart';
import 'package:leoo_junpro/leooflagjunpro/leooentityjunpro/leoosignentity.dart';

LeooSignEntity $LeooSignEntityFromJson(Map<String, dynamic> json) {
  final LeooSignEntity leooSignEntity = LeooSignEntity();
  final int? sysTime = jsonConvert.convert<int>(json['sysTime']);
  if (sysTime != null) {
    leooSignEntity.sysTime = sysTime;
  }
  final int? curSignDay = jsonConvert.convert<int>(json['curSignDay']);
  if (curSignDay != null) {
    leooSignEntity.curSignDay = curSignDay;
  }
  final List<LeooSignBean>? signData =
      jsonConvert.convertListNotNull<LeooSignBean>(json['signData']);
  if (signData != null) {
    leooSignEntity.signData = signData;
  }
  return leooSignEntity;
}

Map<String, dynamic> $LeooSignEntityToJson(LeooSignEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['sysTime'] = entity.sysTime;
  data['curSignDay'] = entity.curSignDay;
  data['signData'] = entity.signData?.map((v) => v.toJson()).toList();
  return data;
}

LeooSignBean $LeooSignBeanFromJson(Map<String, dynamic> json) {
  final LeooSignBean leooSignBean = LeooSignBean();
  final int? day = jsonConvert.convert<int>(json['day']);
  if (day != null) {
    leooSignBean.day = day;
  }
  final int? rewardGold = jsonConvert.convert<int>(json['rewardGold']);
  if (rewardGold != null) {
    leooSignBean.rewardGold = rewardGold;
  }
  final bool? state = jsonConvert.convert<bool>(json['state']);
  if (state != null) {
    leooSignBean.state = state;
  }
  final int? signTime = jsonConvert.convert<int>(json['signTime']);
  if (signTime != null) {
    leooSignBean.signTime = signTime;
  }
  return leooSignBean;
}

Map<String, dynamic> $LeooSignBeanToJson(LeooSignBean entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['day'] = entity.day;
  data['rewardGold'] = entity.rewardGold;
  data['state'] = entity.state;
  data['signTime'] = entity.signTime;
  return data;
}
