import 'package:leoo_junpro/generated/json/base/json_convert_content.dart';
import 'package:leoo_junpro/leooflagjunpro/leooentityjunpro/leoouserlistentity.dart';

LeooUserListEntity $LeooUserListEntityFromJson(Map<String, dynamic> json) {
  final LeooUserListEntity leooUserListEntity = LeooUserListEntity();
  final int? userId = jsonConvert.convert<int>(json['userId']);
  if (userId != null) {
    leooUserListEntity.userId = userId;
  }
  final String? header = jsonConvert.convert<String>(json['header']);
  if (header != null) {
    leooUserListEntity.header = header;
  }
  final String? nickname = jsonConvert.convert<String>(json['nickname']);
  if (nickname != null) {
    leooUserListEntity.nickname = nickname;
  }
  final String? countryName = jsonConvert.convert<String>(json['countryName']);
  if (countryName != null) {
    leooUserListEntity.countryName = countryName;
  }
  final String? languageName =
      jsonConvert.convert<String>(json['languageName']);
  if (languageName != null) {
    leooUserListEntity.languageName = languageName;
  }
  final List<String>? albums =
      jsonConvert.convertListNotNull<String>(json['albums']);
  if (albums != null) {
    leooUserListEntity.albums = albums;
  }
  final int? userType = jsonConvert.convert<int>(json['userType']);
  if (userType != null) {
    leooUserListEntity.userType = userType;
  }
  final int? onlineStatus = jsonConvert.convert<int>(json['onlineStatus']);
  if (onlineStatus != null) {
    leooUserListEntity.onlineStatus = onlineStatus;
  }
  return leooUserListEntity;
}

Map<String, dynamic> $LeooUserListEntityToJson(LeooUserListEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['userId'] = entity.userId;
  data['header'] = entity.header;
  data['nickname'] = entity.nickname;
  data['countryName'] = entity.countryName;
  data['languageName'] = entity.languageName;
  data['albums'] = entity.albums;
  data['userType'] = entity.userType;
  data['onlineStatus'] = entity.onlineStatus;
  return data;
}
