import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoodetailentity.g.dart';

@JsonSerializable()
class LeooDetailEntity {
  String? month;
  double? inAmount;
  double? outAmount;
  late List<LeooDetailListDetail> listDetail;

  LeooDetailEntity();

  factory LeooDetailEntity.fromJson(Map<String, dynamic> json) =>
      $LeooDetailEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooDetailEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LeooDetailListDetail {
  String? bizTime;
  String? bizType;
  String? bizTypeName;
  double? amount;

  LeooDetailListDetail();

  factory LeooDetailListDetail.fromJson(Map<String, dynamic> json) =>
      $LeooDetailListDetailFromJson(json);

  Map<String, dynamic> toJson() => $LeooDetailListDetailToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
