import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoomyassetentity.g.dart';

@JsonSerializable()
class LeooMyassetEntity {
  int? userId;
  int? amount;
  int? commissionAmount;
  int? freeNumber;
  int? enough;

  LeooMyassetEntity();

  factory LeooMyassetEntity.fromJson(Map<String, dynamic> json) =>
      $LeooMyassetEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooMyassetEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
