import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leooroomentity.g.dart';

@JsonSerializable()
class LeooRoomEntity {
  LeooRoomEntity();

  factory LeooRoomEntity.fromJson(Map<String, dynamic> json) =>
      $LeooRoomEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooRoomEntityToJson(this);

  int? id;
  String? roomNo;
  String? name;
  String? type;
  String? imgUrl;
  int? createdUserId;
  String? createdUserNickname;
  String? createdUserHeader;
  int? createdUserAge;
  int? createdUserGender;
  String? timeLength;
  String? colour;
  String? shape;
  int? likeNum;

  String getNameAge() {
    if (createdUserAge != null) {
      return (createdUserNickname ?? '') + ',$createdUserAge';
    } else {
      return createdUserNickname ?? '';
    }
  }
}
