import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leootokenentity.g.dart';

@JsonSerializable()
class LeooTokenEntity {
  LeooTokenEntity();

  factory LeooTokenEntity.fromJson(Map<String, dynamic> json) =>
      $LeooTokenEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooTokenEntityToJson(this);

  int? talkingId;
  int? userId;
  String? channelName;
  int? role;
  String? token;
  int? privilegeExpiredTs;

  //错误类型：【1主叫余额不足、2被叫余额不足、3被叫忙碌、4被叫离线】
  int? errType;

  //操作结果：0继续等待、1加入频道房间、2结束匹配
  int? result;
}
