import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoouploadentity.g.dart';

@JsonSerializable()
class LeooUploadEntity {
  String? videoPath;
  String? coverPath;

  LeooUploadEntity();

  factory LeooUploadEntity.fromJson(Map<String, dynamic> json) =>
      $LeooUploadEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooUploadEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
