import 'dart:convert';

import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoouserlistentity.g.dart';

@JsonSerializable()
class LeooUserListEntity {
  int? userId;
  String? header;
  String? nickname;
  String? countryName;
  String? languageName;
  List<String>? albums;
  int? userType;
  int? onlineStatus;

  LeooUserListEntity();

  factory LeooUserListEntity.fromJson(Map<String, dynamic> json) =>
      $LeooUserListEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooUserListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
