import 'package:connectivity/connectivity.dart';
import 'package:dio/dio.dart';
import 'package:leoo_junpro/leooflagjunpro/leoonetjunpro/leoocodejunpro.dart';
import 'package:leoo_junpro/leooflagjunpro/leoonetjunpro/leooresultdatajunpro.dart';

///错误拦截
class LeooErrorInterceptorsJunPro extends InterceptorsWrapper {
  LeooErrorInterceptorsJunPro();

  @override
  onRequest(RequestOptions options, RequestInterceptorHandler handler) async {
    //没有网络
    var connectivityResult = await (Connectivity().checkConnectivity());
    if (connectivityResult == ConnectivityResult.none) {
      return handler.resolve(Response(
          data: LeooResultDataJunPro(
              '', false, LeooCodeJunPro.leooNetErrorJunPro),
          requestOptions: options));
    }
    return super.onRequest(options, handler);
  }
}
