import 'package:flutter/foundation.dart';
import 'package:leoo_junpro/leooflagjunpro/leooentityjunpro/leoouserentity.dart';

class LeooUserProviderJunPro extends ChangeNotifier {
  late LeooUserEntity userEntity;

  void setUserEntity(LeooUserEntity userEntity) {
    this.userEntity = userEntity;
  }

  void setUserEntityNotify(LeooUserEntity userEntity) {
    this.userEntity = userEntity;
    notifyListeners();
  }

  void notify() {
    notifyListeners();
  }

  void setMoney(int? amount, [int? freeNumber]) {
    if (freeNumber != null) {
      userEntity.freeNumber = freeNumber;
    }
    if (amount != null) {
      userEntity.amount = amount;
      notifyListeners();
    }
  }
}
