import 'package:flutter/material.dart';
import 'package:leoo_junpro/leooflagjunpro/leooutilsjunpro/leoocodeutilsjunpro.dart';

// 封装的文本组件Widget 局部刷新
class LeooChildWidgetJunPro extends StatefulWidget {
  final Widget child;

  const LeooChildWidgetJunPro(
    this.child, {
    Key? key,
  }) : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooChildWidgetState();
}

class LeooChildWidgetState extends State<LeooChildWidgetJunPro> {
  Widget? child;

  @override
  void initState() {
    super.initState();
    child = widget.child;
  }

  void onSetState(Widget child) {
    this.child = child;
    LeooCodeUtilsJunPro.onSetState(this);
  }

  @override
  Widget build(BuildContext context) {
    return child ?? Container();
  }
}
