import 'package:flutter/material.dart';
import 'package:leoo_junpro/leooflagjunpro/leooutilsjunpro/leoocodeutilsjunpro.dart';

// 封装的文本组件Widget 局部刷新
class LeooLiveTextWidgetJunPro extends StatefulWidget {
  final String text;
  final TextStyle style;

  const LeooLiveTextWidgetJunPro(Key key, this.style, this.text)
      : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooLiveTextWidgetState();
}

class LeooLiveTextWidgetState extends State<LeooLiveTextWidgetJunPro> {
  String text = '0';

  @override
  void initState() {
    super.initState();
    text = widget.text;
  }

  void onSetState(String text) {
    this.text = text;
    LeooCodeUtilsJunPro.onSetState(this);
  }

  @override
  Widget build(BuildContext context) {
    return Text(text, style: widget.style);
  }
}
