import 'package:flutter/material.dart';
import 'package:leoo_junpro/leooflagjunpro/leooutilsjunpro/leoocodeutilsjunpro.dart';
import 'package:leoo_junpro/leooflagjunpro/leoowidgetjunpro/leoonumberunwidgetjunpro.dart';

// 封装的文本组件Widget 局部刷新
class LeooNumberTextWidgetJunPro extends StatefulWidget {
  final int lastSize;
  final TextStyle style;

  const LeooNumberTextWidgetJunPro(Key key, this.style, this.lastSize)
      : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooNumberTextWidgetState();
}

class LeooNumberTextWidgetState extends State<LeooNumberTextWidgetJunPro> {
  int lastSize = 0;

  @override
  void initState() {
    super.initState();
    lastSize = widget.lastSize;
  }

  void onSetState(int lastSize) {
    this.lastSize = lastSize;
    LeooCodeUtilsJunPro.onSetState(this);
  }

  @override
  Widget build(BuildContext context) {
    return LeooNumberRunWidgetJunPro(widget.style, lastSize);
  }
}
