import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:leoo_junpro/leooflagjunpro/leoostringjunpro/leoostylejunpro.dart';
import 'package:leoo_junpro/leooflagjunpro/leooutilsjunpro/leoocodeutilsjunpro.dart';

// 进度条 局部刷新
class LeooProgressWidgetJunPro extends StatefulWidget {
  final double value;

  const LeooProgressWidgetJunPro(this.value, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() => LeooProgressWidgetState();
}

class LeooProgressWidgetState extends State<LeooProgressWidgetJunPro> {
  double? value;

  @override
  void initState() {
    super.initState();
    value = widget.value;
  }

  void onSetState(double value) {
    this.value = value;
    LeooCodeUtilsJunPro.onSetState(this);
  }

  @override
  Widget build(BuildContext context) {
    return LinearProgressIndicator(
      value: value,
      minHeight: 5.w,
      backgroundColor: LeooColorsJunPro.leooBtnBgJunPro,
      valueColor: AlwaysStoppedAnimation<Color>(value == 1
          ? LeooColorsJunPro.leooApp3JunPro
          : LeooColorsJunPro.leooAppJunPro),
    );
  }
}
